ATOPHIDE(1)

NAME
atophide - partly copy raw log file and/or anonymize raw log

SYNOPSIS

atophide [-a] [-b YYYYMMDDhhmm ] [-e YYYYMMDDhhmm ] rawinput rawoutput

DESCRIPTION
The program atophide can be used to make an extraction from an input raw log to an output raw log, specifying a begin time with the -b and/or an end time with the -e flag.

With the -a flag the output rawlog will be anonymized:

Host name
    The host name in the header line will be replaced by 'anonymized'.

Command names
    Command names will be replaced by place holders, except the names of the standard commands and the names of kernel processes.

Command arguments
    The command line arguments of all commands will be wiped.

Logical volumes
    Logical volume names will be replaced by place holders.

NFS shares
    NFS mounted shared volume names will be replaced by place holders.

SEE ALSO
atop(1), atopsar(1), atopcat(1), atopconvert(1)
https://www.atoptool.nl

AUTHOR
Gerlof Langeveld (gerlof.langeveld@atoptool.nl)